### Constructor

# Dex UnixSignal new

#### Declaration [src]

    DexFuture*
    dex_unix_signal_new (
      int signum
    )

#### Description [src]

Creates a new `DexUnixSignal` that completes when `signum` is delivered to the process.

`signum` must be one of SIGHUP, SIGINT, SIGTERM, SIGUSR1, SIGUSR2, or SIGWINCH.

This API is only supported on UNIX-like systems.

#### Parameters

`signum`

  Type: `int`

  A unix signal number.

#### Return value

Type: `DexFuture`

A new `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.